Page MenuHomePhabricator

Add integration test covering import functionality in core
Closed, ResolvedPublic2 Story Points

Description

Minimal test case should be a file with 2 file revisions and 2 text revisions that go through the import process.
Assertions must check both, the old revisions and the current one.

Related Objects

Mentioned In
rEFLIcf0c33f89e8c: Extend Importer integration test using multiple revisions
rEFLI1276cdaeab92: Extend Importer integration test using multiple revisions
rEFLIa02cee97a4ea: Extend Importer integration test using multiple revisions
rEFLI9483b7227b3a: Extend Importer integration test using multiple revisions
rEFLIf16f10ef1d61: Extend Importer integration test using multiple revisions
rEFLI46dca71c7ee5: Extend Importer integration test using multiple revisions
rEFLIc11f15d4b82a: Extend Importer integration test using multiple revisions
rEFLIdf7616638d76: Extend Importer integration test using multiple revisions
rEFLI3c029ca5d9e1: Extend Importer integration test using multiple revisions
rEFLI7579034b5acc: Extend Importer integration test using multiple revisions
rEFLI5cf70eb6e8bd: Extend Importer integration test using multiple revisions
rEFLIaa54178c6c6a: [WIP] Extend Importer integration test using multiple revisions
rEFLI33ef14c3322a: [WIP] Extend Importer integration test using multiple revisions
rEFLI7c578c2187a6: Extend Importer integration test using multiple revisions
rEFLI70409d62edc4: [WIP] Extend Importer integration test using multiple revisions
rEFLI0bc487e514ac: Add integration test for FileRevisionFromRemoteUrl
rEFLI51a51333f7cb: Add ImporterComponentTest
rEFLI93141d052e86: Add ImporterComponentTest
rEFLI94209ab3b0ed: Add ImporterComponentTest
rEFLIf6a9bc459171: Add ImporterComponentTest
rEFLId8b118ae358c: Add integration test for TextRevisionFromTextRevision
rEFLI0bfa82e2a4c6: Add ImporterComponentTest
rEFLI00e83741ba4c: Add integration test for TextRevisionFromTextRevision
rEFLI95652c3116ef: Add ImporterComponentTest
rEFLIf47ae5614e8b: Add integration test for TextRevisionFromTextRevision
Mentioned Here
T200001: Quickly importing two versions of a file leads to timing issues in LocalFile.php

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 19 2018, 12:58 PM
WMDE-Fisch claimed this task.
Vvjjkkii renamed this task from Add integration test covering import functionality in core to 6naaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii removed WMDE-Fisch as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed the point value for this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii added a subscriber: WMDE-Fisch.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot set the point value for this task to 8.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot assigned this task to WMDE-Fisch.
CommunityTechBot renamed this task from 6naaaaaaaa to Add integration test covering import functionality in core.
CommunityTechBot removed a subscriber: WMDE-Fisch.
Lea_WMDE changed the point value for this task from 8 to 5.
Lea_WMDE added a subscriber: Lea_WMDE.

open TODOS:

  • make the two tests work together
  • use two files and two revisions

Change 444010 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] Add integration test for TextRevisionFromTextRevision

https://gerrit.wikimedia.org/r/444010

Change 444010 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add integration test for TextRevisionFromTextRevision

https://gerrit.wikimedia.org/r/444010

Change 445201 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] Add integration test for FileRevisionFromRemoteUrl

https://gerrit.wikimedia.org/r/445201

Change 445201 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add integration test for FileRevisionFromRemoteUrl

https://gerrit.wikimedia.org/r/445201

Change 445632 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] Extend Importer integration test using multiple revisions

https://gerrit.wikimedia.org/r/445632

WMDE-Fisch changed the point value for this task from 5 to 1.Jul 17 2018, 12:06 PM
WMDE-Fisch moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2018-07-17 board.
WMDE-Fisch changed the point value for this task from 1 to 2.

Should I do anything here? If not, we could move it to done I guess :)

@Lea_WMDE yepp you're right, lets move it to done.

One thing though. While doing this I ran into an issue in core that was revealed by the integration test covering two file revisions. There seems to be (another) timing issue with timestamp file names. I just created a ticket for that: T200001 (look at that number :-) ).

The test is fine on the CI and we already tested the import of files with many revisions several times now, so I am pretty sure it does not affect us very much in production. Still it's something that needs be solved. - But that's out of the scope of this ticket. So let's move it to done.

Lea_WMDE closed this task as Resolved.Aug 3 2018, 6:48 AM

Change 445632 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Extend Importer integration test using multiple revisions

https://gerrit.wikimedia.org/r/445632

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptJan 8 2019, 12:01 PM